Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 58822 - Radeon QD crashes randomly
Radeon QD crashes randomly
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-25 03:10 EST by Mario Mikocevic
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-25 05:09:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree server config (2.44 KB, text/plain)
2002-01-25 04:31 EST, Mario Mikocevic
no flags Details

  None (edit)
Description Mario Mikocevic 2002-01-25 03:10:16 EST
Description of Problem:
It's _latest_ rawhide snapshot. XFree 4.2 server can _NOT_ last more than 24
hours.

Version-Release number of selected component (if applicable):
# rpm -qa | grep XFree
XFree86-xfs-4.2.0-2.1
XFree86-ISO8859-2-100dpi-fonts-4.2.0-2.1
XFree86-devel-4.2.0-2.1
XFree86-100dpi-fonts-4.2.0-2.1
XFree86-75dpi-fonts-4.2.0-2.1
XFree86-ISO8859-2-75dpi-fonts-4.2.0-2.1
XFree86-xdm-4.2.0-2.1
XFree86-compat-libs-4.0.3-3
XFree86-libs-4.2.0-2.1
XFree86-4.2.0-2.1
XFree86-tools-4.2.0-2.1


How Reproducible:
Always (as in each night/morning so far)

Steps to Reproduce:
1. install XFree 4.2
2. lock workstation over night
3. 

Actual Results:
XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-2.1) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 18 January 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.7-0.13.1smp i686 [ELF] 
Build Host: stripples.devel.redhat.com
 
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Thu Jan 24 08:16:56 2002
(==) Using config file: "/etc/X11/XF86Config-4"
(EE) Failed to load module "xfsft" (module does not exist, 0)
rxvt: data loss: timeout on INCR selection paste

Fatal server error:
Caught signal 11.  Server aborting


Expected Results:
XFree server working 24/7 :)

Additional Information:
I started new X session so /var/log/XFree86.0.log is busted.
Anyway here it is ->
XFree86 Version 4.2.0 (Red Hat Linux release: 4.2.0-2.1) / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 18 January 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.7-0.13.1smp i686 [ELF] 
Build Host: stripples.devel.redhat.com
 
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
         (++) from command line, (!!) notice, (II) informational,
         (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/XFree86.0.log", Time: Fri Jan 25 08:19:04 2002
(==) Using config file: "/etc/X11/XF86Config-4"
(==) ServerLayout "XFree86 Configured"
(**) |-->Screen "Screen0" (0)
(**) |   |-->Monitor "COMPAQ P910"
(**) |   |-->Device "ATI Radeon (generic)"
(**) |-->Input Device "Mouse0"
(**) |-->Input Device "Keyboard0"
(**) Option "XkbRules" "xfree86"
(**) XKB: rules: "xfree86"
(**) Option "XkbLayout" "us"
(**) XKB: layout: "us"
(==) Keyboard: CustomKeycode disabled
(**) FontPath set to "unix/:7100"
(==) RgbPath set to "/usr/X11R6/lib/X11/rgb"
(==) ModulePath set to "/usr/X11R6/lib/modules"
(--) using VT number 7

(WW) Open APM failed (/dev/apm_bios) (No such device)
(II) Module ABI versions:
        XFree86 ANSI C Emulation: 0.1
        XFree86 Video Driver: 0.5
        XFree86 XInput driver : 0.3
        XFree86 Server Extension : 0.1
        XFree86 Font Renderer : 0.3
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib/modules/fonts/libbitmap.a
(II) Module bitmap: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font Bitmap
(II) LoadModule: "pcidata"
(II) Loading /usr/X11R6/lib/modules/libpcidata.a
(II) Module pcidata: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) PCI: Probing config type using method 1
(II) PCI: Config type is 1
(II) PCI: stages = 0x03, oldVal1 = 0x800000b0, mode1Res1 = 0x80000000
(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,2530 card 103c,124b rev 02 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,2532 card 0000,0000 rev 02 class 06,04,00 hdr 01
(II) PCI: 00:1e:0: chip 8086,244e card 0000,0000 rev 04 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,2440 card 0000,0000 rev 04 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,244b card 103c,124b rev 04 class 01,01,80 hdr 00
(II) PCI: 00:1f:2: chip 8086,2442 card 103c,124b rev 04 class 0c,03,00 hdr 00
(II) PCI: 00:1f:3: chip 8086,2443 card 103c,124b rev 04 class 0c,05,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,2445 card 103c,124b rev 04 class 04,01,00 hdr 00
(II) PCI: 01:00:0: chip 1002,5144 card 1002,001a rev 00 class 03,00,00 hdr 00
(II) PCI: 02:09:0: chip 10b7,9200 card 10b7,1000 rev 6c class 02,00,00 hdr 00
(II) PCI: 02:0b:0: chip 5046,1001 card 0000,0000 rev 01 class 04,01,00 hdr 00
(II) PCI: End of PCI scan
(II) LoadModule: "scanpci"
(II) Loading /usr/X11R6/lib/modules/libscanpci.a
(II) Module scanpci: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) UnloadModule: "scanpci"
(II) Unloading /usr/X11R6/lib/modules/libscanpci.a
(II) Host-to-PCI bridge:
(II) PCI-to-ISA bridge:
(II) PCI-to-PCI bridge:
(II) PCI-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (-1,0,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 0 I/O range:
        [0] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x08 (VGA_EN is set)
(II) Bus 1 I/O range:
        [0] -1  0x00004000 - 0x00004fff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
        [0] -1  0xe0000000 - 0xe01fffff (0x200000) MX[B]
(II) Bus 1 prefetchable memory range:
        [0] -1  0xf0000000 - 0xf7ffffff (0x8000000) MX[B]
(II) Bus 2: bridge is at (0:30:0), (0,2,2), BCTRL: 0x04 (VGA_EN is cleared)
(II) Bus 2 I/O range:
        [0] -1  0x00005000 - 0x000050ff (0x100) IX[B]
        [1] -1  0x00005400 - 0x000054ff (0x100) IX[B]
        [2] -1  0x00005800 - 0x000058ff (0x100) IX[B]
        [3] -1  0x00005c00 - 0x00005cff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
        [0] -1  0xe0200000 - 0xe03fffff (0x200000) MX[B]
(II) Bus 2 prefetchable memory range:
(II) Bus -1: bridge is at (0:31:0), (0,-1,0), BCTRL: 0x08 (VGA_EN is set)
(II) Bus -1 I/O range:
(II) Bus -1 non-prefetchable memory range:
(II) Bus -1 prefetchable memory range:
(--) PCI:*(1:0:0) ATI Radeon QD rev 0, Mem @ 0xf0000000/27, 0xe0000000/19, I/O @
0x4000/8
(II) Addressable bus resource ranges are
        [0] -1  0x00000000 - 0xffffffff (0x0) MX[B]
        [1] -1  0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0x00000000 - 0x000000ff (0x100) IX[B]
(II) Active PCI resource ranges:
        [0] -1  0xe0200000 - 0xe020007f (0x80) MX[B]
        [1] -1  0xe8000000 - 0xefffffff (0x8000000) MX[B]
        [2] -1  0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
        [3] -1  0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
        [4] -1  0x00005080 - 0x00005083 (0x4) IX[B]
        [5] -1  0x00005000 - 0x0000507f (0x80) IX[B]
        [6] -1  0x0000c400 - 0x0000c43f (0x40) IX[B]
        [7] -1  0x0000c300 - 0x0000c3ff (0x100) IX[B]
        [8] -1  0x0000c100 - 0x0000c10f (0x10) IX[B]
        [9] -1  0x00001820 - 0x0000183f (0x20) IX[B]
        [10] -1 0x00001800 - 0x0000180f (0x10) IX[B]
        [11] -1 0x00004000 - 0x000040ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
        [0] -1  0xe0200000 - 0xe020007f (0x80) MX[B]
        [1] -1  0xe8000000 - 0xefffffff (0x8000000) MX[B]
        [2] -1  0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
        [3] -1  0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
        [4] -1  0x00005080 - 0x00005083 (0x4) IX[B]
        [5] -1  0x00005000 - 0x0000507f (0x80) IX[B]
        [6] -1  0x0000c400 - 0x0000c43f (0x40) IX[B]
        [7] -1  0x0000c300 - 0x0000c3ff (0x100) IX[B]
        [8] -1  0x0000c100 - 0x0000c10f (0x10) IX[B]
        [9] -1  0x00001820 - 0x0000183f (0x20) IX[B]
        [10] -1 0x00001800 - 0x0000180f (0x10) IX[B]
        [11] -1 0x00004000 - 0x000040ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0x0000ffff - 0x0000ffff (0x1) IX[B]
        [6] -1  0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xe0200000 - 0xe020007f (0x80) MX[B]
        [6] -1  0xe8000000 - 0xefffffff (0x8000000) MX[B]
        [7] -1  0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
        [8] -1  0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
        [9] -1  0x0000ffff - 0x0000ffff (0x1) IX[B]
        [10] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [11] -1 0x00005080 - 0x00005083 (0x4) IX[B]
        [12] -1 0x00005000 - 0x0000507f (0x80) IX[B]
        [13] -1 0x0000c400 - 0x0000c43f (0x40) IX[B]
        [14] -1 0x0000c300 - 0x0000c3ff (0x100) IX[B]
        [15] -1 0x0000c100 - 0x0000c10f (0x10) IX[B]
        [16] -1 0x00001820 - 0x0000183f (0x20) IX[B]
        [17] -1 0x00001800 - 0x0000180f (0x10) IX[B]
        [18] -1 0x00004000 - 0x000040ff (0x100) IX[B](B)
(II) LoadModule: "dbe"
(II) Loading /usr/X11R6/lib/modules/extensions/libdbe.a
(II) Module dbe: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "GLcore"
(II) Loading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Module GLcore: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) LoadModule: "dri"
(II) Loading /usr/X11R6/lib/modules/extensions/libdri.a
(II) Module dri: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "drm"
(II) LoadModule: "drm"
(II) Loading /usr/X11R6/lib/modules/linux/libdrm.a
(II) Module drm: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "glx"
(II) Loading /usr/X11R6/lib/modules/extensions/libglx.a
(II) Module glx: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading sub module "GLcore"
(II) LoadModule: "GLcore"
(II) Reloading /usr/X11R6/lib/modules/extensions/libGLcore.a
(II) Loading extension GLX
(II) LoadModule: "extmod"
(II) Loading /usr/X11R6/lib/modules/extensions/libextmod.a
(II) Module extmod: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 Server Extension
        ABI class: XFree86 Server Extension, version 0.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension FontCache
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) LoadModule: "v4l"
(II) Loading /usr/X11R6/lib/modules/drivers/linux/v4l_drv.o
(II) Module v4l: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.0.1
        ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "xfsft"
(WW) Warning, couldn't open module xfsft
(II) UnloadModule: "xfsft"
(EE) Failed to load module "xfsft" (module does not exist, 0)
(II) LoadModule: "xtt"
(II) Loading /usr/X11R6/lib/modules/fonts/libxtt.a
(II) Module xtt: vendor="X-TrueType Server Project"
        compiled for 4.2.0, module version = 1.3.0
        Module class: XFree86 Font Renderer
        ABI class: XFree86 Font Renderer, version 0.3
(II) Loading font xtt
(II) LoadModule: "radeon"
(II) Loading /usr/X11R6/lib/modules/drivers/radeon_drv.o
(II) Module radeon: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 4.0.1
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "ati"
(II) Loading /usr/X11R6/lib/modules/drivers/ati_drv.o
(II) Module ati: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 6.4.8
        Module class: XFree86 Video Driver
        ABI class: XFree86 Video Driver, version 0.5
(II) LoadModule: "mouse"
(II) Loading /usr/X11R6/lib/modules/input/mouse_drv.o
(II) Module mouse: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        Module class: XFree86 XInput Driver
        ABI class: XFree86 XInput driver, version 0.3
(II) v4l driver for Video4Linux
(II) ATI: ATI driver (version 6.4.8) for chipsets: ati, ativga
(II) R128: Driver for ATI Rage 128 chipsets: ATI Rage 128 RE (PCI),
        ATI Rage 128 RF (AGP), ATI Rage 128 RG (AGP), ATI Rage 128 RK (PCI),
        ATI Rage 128 RL (AGP), ATI Rage 128 SM (AGP), ATI Rage 128 PR,
        ATI Rage 128 Pro PD (PCI), ATI Rage 128 Pro PF (AGP),
        ATI Rage 128 Pro PP (PCI), ATI Rage 128 Pro PR (PCI),
        ATI Rage 128 Pro ULTRA TF (AGP), ATI Rage 128 Pro ULTRA TL (AGP),
        ATI Rage 128 Pro ULTRA TR (AGP), ATI Rage 128 Mobility LE (PCI),
        ATI Rage 128 Mobility LF (AGP), ATI Rage 128 Mobility MF (AGP),
        ATI Rage 128 Mobility ML (AGP)
(II) RADEON: Driver for ATI Radeon chipsets: ATI Radeon QD (AGP),
        ATI Radeon QE (AGP), ATI Radeon QF (AGP), ATI Radeon QG (AGP),
        ATI Radeon VE QY (AGP), ATI Radeon VE QZ (AGP),
        ATI Radeon Mobility LW (AGP), ATI Radeon Mobility LY (AGP),
        ATI Radeon Mobility LZ (AGP), ATI Radeon 8500 QL (AGP),
        ATI Radeon 8500 QN (AGP), ATI Radeon 8500 QO (AGP),
        ATI Radeon 8500 Ql (AGP), ATI Radeon 8500 BB (AGP),
        ATI Radeon 7500 QW (AGP)
(II) Primary Device is: PCI 01:00:0
(--) Assigning device section with no busID to primary device
(--) Chipset ATI Radeon QD (AGP) found
(II) resource ranges after xf86ClaimFixedResources() call:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xe0200000 - 0xe020007f (0x80) MX[B]
        [6] -1  0xe8000000 - 0xefffffff (0x8000000) MX[B]
        [7] -1  0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
        [8] -1  0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
        [9] -1  0x0000ffff - 0x0000ffff (0x1) IX[B]
        [10] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [11] -1 0x00005080 - 0x00005083 (0x4) IX[B]
        [12] -1 0x00005000 - 0x0000507f (0x80) IX[B]
        [13] -1 0x0000c400 - 0x0000c43f (0x40) IX[B]
        [14] -1 0x0000c300 - 0x0000c3ff (0x100) IX[B]
        [15] -1 0x0000c100 - 0x0000c10f (0x10) IX[B]
        [16] -1 0x00001820 - 0x0000183f (0x20) IX[B]
        [17] -1 0x00001800 - 0x0000180f (0x10) IX[B]
        [18] -1 0x00004000 - 0x000040ff (0x100) IX[B](B)
(II) Loading sub module "radeon"
(II) LoadModule: "radeon"
(II) Reloading /usr/X11R6/lib/modules/drivers/radeon_drv.o
(II) resource ranges after probing:
        [0] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [1] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [2] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [3] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [4] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [5] -1  0xe0200000 - 0xe020007f (0x80) MX[B]
        [6] -1  0xe8000000 - 0xefffffff (0x8000000) MX[B]
        [7] -1  0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
        [8] -1  0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
        [9] 0   0x000a0000 - 0x000affff (0x10000) MS[B]
        [10] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [11] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [12] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [13] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [14] -1 0x00005080 - 0x00005083 (0x4) IX[B]
        [15] -1 0x00005000 - 0x0000507f (0x80) IX[B]
        [16] -1 0x0000c400 - 0x0000c43f (0x40) IX[B]
        [17] -1 0x0000c300 - 0x0000c3ff (0x100) IX[B]
        [18] -1 0x0000c100 - 0x0000c10f (0x10) IX[B]
        [19] -1 0x00001820 - 0x0000183f (0x20) IX[B]
        [20] -1 0x00001800 - 0x0000180f (0x10) IX[B]
        [21] -1 0x00004000 - 0x000040ff (0x100) IX[B](B)
        [22] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [23] 0  0x000003c0 - 0x000003df (0x20) IS[B]
(II) Setting vga for screen 0.
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/X11R6/lib/modules/libvgahw.a
(II) Module vgahw: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) RADEON(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is 0x0000
(II) RADEON(0): PCI bus 1 card 0 func 0
(**) RADEON(0): Depth 16, (--) framebuffer bpp 16
(II) RADEON(0): Pixel depth = 16 bits stored in 2 bytes (16 bpp pixmaps)
(==) RADEON(0): Default visual is TrueColor
(==) RADEON(0): RGB weight 565
(II) RADEON(0): Using 6 bits per RGB (8 bit DAC)
(II) Loading sub module "int10"
(II) LoadModule: "int10"
(II) Loading /usr/X11R6/lib/modules/linux/libint10.a
(II) Module int10: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) RADEON(0): initializing int10
(II) RADEON(0): Primary V_BIOS segment is: 0xc000
(--) RADEON(0): Chipset: "ATI Radeon QD (AGP)" (ChipID = 0x5144)
(--) RADEON(0): Linear framebuffer at 0xf0000000
(--) RADEON(0): MMIO registers at 0xe0000000
(--) RADEON(0): VideoRAM: 65536 kByte (64-bit DDR SDRAM)
(II) RADEON(0): Primary Display == Type 1
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Loading /usr/X11R6/lib/modules/libddc.a
(II) Module ddc: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Loading /usr/X11R6/lib/modules/libi2c.a
(II) Module i2c: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.2.0
        ABI class: XFree86 Video Driver, version 0.5
(II) RADEON(0): I2C bus "DDC" initialized.
(II) RADEON(0): I2C device "DDC:ddc2" registered.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): I2C device "DDC:ddc2" registered.
(II) RADEON(0): I2C device "DDC:ddc2" removed.
(II) RADEON(0): I2C EDID Info:
(II) RADEON(0): Manufacturer: CPQ  Model: 1385  Serial#: 1110849079
(II) RADEON(0): Year: 2001  Week: 17
(II) RADEON(0): EDID Version: 1.2
(II) RADEON(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
(II) RADEON(0): Sync:  Separate  Composite
(II) RADEON(0): Max H-Image Size [cm]: horiz.: 35  vert.: 26
(II) RADEON(0): Gamma: 2.20
(II) RADEON(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
(II) RADEON(0): redX: 0.625 redY: 0.340   greenX: 0.285 greenY: 0.600
(II) RADEON(0): blueX: 0.150 blueY: 0.075   whiteX: 0.283 whiteY: 0.297
(II) RADEON(0): Supported VESA Video Modes:
(II) RADEON(0): 720x400@70Hz
(II) RADEON(0): 720x400@88Hz
(II) RADEON(0): 640x480@60Hz
(II) RADEON(0): 640x480@67Hz
(II) RADEON(0): 640x480@72Hz
(II) RADEON(0): 640x480@75Hz
(II) RADEON(0): 800x600@56Hz
(II) RADEON(0): 800x600@60Hz
(II) RADEON(0): 800x600@72Hz
(II) RADEON(0): 800x600@75Hz
(II) RADEON(0): 832x624@75Hz
(II) RADEON(0): 1024x768@60Hz
(II) RADEON(0): 1024x768@70Hz
(II) RADEON(0): 1024x768@75Hz
(II) RADEON(0): 1280x1024@75Hz
(II) RADEON(0): 1152x870@75Hz
(II) RADEON(0): Manufacturer's mask: 0
(II) RADEON(0): Supported Future Video Modes:
(II) RADEON(0): #0: hsize: 640  vsize 480  refresh: 85  vid: 22833
(II) RADEON(0): #1: hsize: 800  vsize 600  refresh: 85  vid: 22853
(II) RADEON(0): #2: hsize: 1024  vsize 768  refresh: 85  vid: 22881
(II) RADEON(0): #3: hsize: 1152  vsize 864  refresh: 75  vid: 20337
(II) RADEON(0): #4: hsize: 1280  vsize 1024  refresh: 85  vid: 39297
(II) RADEON(0): #5: hsize: 1600  vsize 1200  refresh: 75  vid: 20393
(II) RADEON(0): #6: hsize: 1600  vsize 1200  refresh: 85  vid: 22953
(II) RADEON(0): #7: hsize: 1792  vsize 1344  refresh: 75  vid: 20417
(II) RADEON(0): Supported additional Video Mode:
(II) RADEON(0): clock: 234.0 MHz   Image Size:  350 x 262 mm
(II) RADEON(0): h_active: 1920  h_sync: 2048  h_sync_end 2256 h_blank_end 2600
h_border: 0
(II) RADEON(0): v_active: 1440  v_sync: 1441  v_sync_end 1444 v_blanking: 1500
v_border: 0
(II) RADEON(0): Ranges: V min: 50  V max: 140 Hz, H min: 30  H max: 108 kHz,
PixClock max 300 MHz
(II) RADEON(0): Serial No: 117GC70ZB667
(II) RADEON(0): Monitor name: COMPAQ P910
(II) RADEON(0): End of DDC Monitor info

(II) RADEON(0): PLL parameters: rf=2700 rd=60 min=12000 max=35000; xclk=16600
(==) RADEON(0): Using gamma correction (1.0, 1.0, 1.0)
(II) RADEON(0): COMPAQ P910: Using hsync range of 30.00-108.00 kHz
(II) RADEON(0): COMPAQ P910: Using vrefresh range of 50.00-140.00 Hz
(II) RADEON(0): Clock range:  12.00 to 350.00 MHz
(II) RADEON(0): Not using default mode "1856x1392" (hsync out of range)
(II) RADEON(0): Not using default mode "928x696" (hsync out of range)
(II) RADEON(0): Not using default mode "1920x1440" (hsync out of range)
(II) RADEON(0): Not using default mode "960x720" (hsync out of range)
(--) RADEON(0): Virtual size is 1152x864 (pitch 1152)
(**) RADEON(0): Mode "1152x864": 145.6 MHz, 91.0 kHz, 100.0 Hz
(II) RADEON(0): Modeline "1152x864"  145.60  1152 1192 1344 1600  864 868 872
910 (null)
(--) RADEON(0): Display dimensions: (350, 260) mm
(--) RADEON(0): DPI set to (83, 84)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/X11R6/lib/modules/libfb.a
(II) Module fb: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 ANSI C Emulation, version 0.1
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Loading /usr/X11R6/lib/modules/libramdac.a
(II) Module ramdac: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 0.1.0
        ABI class: XFree86 Video Driver, version 0.5
(II) Loading sub module "xaa"
(II) LoadModule: "xaa"
(II) Loading /usr/X11R6/lib/modules/libxaa.a
(II) Module xaa: vendor="The XFree86 Project"
        compiled for 4.2.0, module version = 1.0.0
        ABI class: XFree86 Video Driver, version 0.5
(II) RADEON(0): Depth moves disabled by default
(!!) RADEON(0): For information on using the multimedia capabilities
 of this adapter, please see http://gatos.sf.net.
(II) do I need RAC?  No, I don't.
(II) resource ranges after preInit:
        [0] 0   0xe0000000 - 0xe007ffff (0x80000) MX[B]
        [1] 0   0xf0000000 - 0xf7ffffff (0x8000000) MX[B]
        [2] -1  0xffe00000 - 0xffffffff (0x200000) MX[B](B)
        [3] -1  0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
        [4] -1  0x000f0000 - 0x000fffff (0x10000) MX[B]
        [5] -1  0x000c0000 - 0x000effff (0x30000) MX[B]
        [6] -1  0x00000000 - 0x0009ffff (0xa0000) MX[B]
        [7] -1  0xe0200000 - 0xe020007f (0x80) MX[B]
        [8] -1  0xe8000000 - 0xefffffff (0x8000000) MX[B]
        [9] -1  0xe0000000 - 0xe007ffff (0x80000) MX[B](B)
        [10] -1 0xf0000000 - 0xf7ffffff (0x8000000) MX[B](B)
        [11] 0  0x000a0000 - 0x000affff (0x10000) MS[B]
        [12] 0  0x000b0000 - 0x000b7fff (0x8000) MS[B]
        [13] 0  0x000b8000 - 0x000bffff (0x8000) MS[B]
        [14] 0  0x00004000 - 0x000040ff (0x100) IX[B]
        [15] -1 0x0000ffff - 0x0000ffff (0x1) IX[B]
        [16] -1 0x00000000 - 0x000000ff (0x100) IX[B]
        [17] -1 0x00005080 - 0x00005083 (0x4) IX[B]
        [18] -1 0x00005000 - 0x0000507f (0x80) IX[B]
        [19] -1 0x0000c400 - 0x0000c43f (0x40) IX[B]
        [20] -1 0x0000c300 - 0x0000c3ff (0x100) IX[B]
        [21] -1 0x0000c100 - 0x0000c10f (0x10) IX[B]
        [22] -1 0x00001820 - 0x0000183f (0x20) IX[B]
        [23] -1 0x00001800 - 0x0000180f (0x10) IX[B]
        [24] -1 0x00004000 - 0x000040ff (0x100) IX[B](B)
        [25] 0  0x000003b0 - 0x000003bb (0xc) IS[B]
        [26] 0  0x000003c0 - 0x000003df (0x20) IS[B]
(==) RADEON(0): Write-combining range (0xf0000000,0x4000000)
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmOpenDevice: minor is 0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 6, (OK)
drmGetBusid returned ''
(II) RADEON(0): [drm] created "radeon" driver at busid "PCI:1:0:0"
(II) RADEON(0): [drm] added 8192 byte SAREA at 0xd08f3000
(II) RADEON(0): [drm] mapped SAREA 0xd08f3000 to 0x4001a000
(II) RADEON(0): [drm] framebuffer handle = 0xf0000000
(II) RADEON(0): [drm] added 1 reserved context for kernel
(II) RADEON(0): [agp] Mode 0x1f000211 [AGP 0x8086/0x2530; Card 0x1002/0x5144]
(II) RADEON(0): [agp] 8192 kB allocated with handle 0xd490a000
(II) RADEON(0): [agp] ring handle = 0xe8000000
(II) RADEON(0): [agp] Ring mapped at 0x44262000
(II) RADEON(0): [agp] ring read ptr handle = 0xe8101000
(II) RADEON(0): [agp] Ring read ptr mapped at 0x4001c000
(II) RADEON(0): [agp] vertex/indirect buffers handle = 0xe8102000
(II) RADEON(0): [agp] Vertex/indirect buffers mapped at 0x44363000
(II) RADEON(0): [agp] AGP texture map handle = 0xe8302000
(II) RADEON(0): [agp] AGP Texture map mapped at 0x44563000
(II) RADEON(0): [drm] register handle = 0xe0000000
(II) RADEON(0): [dri] Visual configs initialized
(II) RADEON(0): CP in BM mode
(II) RADEON(0): Using 8 MB AGP aperture
(II) RADEON(0): Using 1 MB for the ring buffer
(II) RADEON(0): Using 2 MB for vertex/indirect buffers
(II) RADEON(0): Using 5 MB for AGP textures
(II) RADEON(0): Memory manager initialized to (0,0) (1152,3732)
(II) RADEON(0): Reserved area from (0,864) to (1152,866)
(II) RADEON(0): Largest offscreen area available: 1152 x 2866
(II) RADEON(0): Reserved back buffer at offset 0x834000
(II) RADEON(0): Reserved depth buffer at offset 0xa1a000
(II) RADEON(0): Reserved 53248 kb for textures at offset 0xc00000
(==) RADEON(0): Backing store disabled
(==) RADEON(0): Silken mouse enabled
(II) RADEON(0): Using XFree86 Acceleration Architecture (XAA)
        Screen to screen bit blits
        Solid filled rectangles
        Solid Lines
        Dashed Lines
        Offscreen Pixmaps
        Setting up tile and stipple cache:
                32 128x128 slots
                17 256x256 slots
                6 512x512 slots
(II) RADEON(0): Acceleration enabled
(II) RADEON(0): Using hardware cursor (scanline 1732)
(II) RADEON(0): Largest offscreen area available: 1152 x 2864
(**) Option "dpms"
(**) RADEON(0): DPMS enabled
(II) RADEON(0): X context handle = 0x00000006
(II) RADEON(0): [drm] installed DRM signal handler
(II) RADEON(0): [DRI] installation complete
(II) RADEON(0): [drm] Added 32 65536 byte vertex/indirect buffers
(II) RADEON(0): [drm] Mapped 32 vertex/indirect buffers
(II) RADEON(0): Direct rendering enabled
(II) Setting vga for screen 0.
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension LBX
(II) Initializing built-in extension XC-APPGROUP
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFree86-Bigfont
(II) Initializing built-in extension RENDER
(**) Option "Protocol" "IMPS/2"
(**) Mouse0: Protocol: "IMPS/2"
(**) Option "CorePointer"
(**) Mouse0: Core Pointer
(**) Option "Device" "/dev/mouse"
(**) Option "Emulate3Buttons" "off"
(**) Option "ZAxisMapping" "4 5"
(**) Mouse0: ZAxisMapping: buttons 4 and 5
(**) Mouse0: Buttons: 5
(II) Keyboard "Keyboard0" handled by legacy driver
(II) XINPUT: Adding extended input device "Mouse0" (type: MOUSE)
Comment 1 Mike A. Harris 2002-01-25 04:23:22 EST
When you attach files, please do not cut and paste them into the bug report
directly, use the file attachment feature of bugzilla as it makes it much
easier to handle the bug report.

Please attach a copy of your XFree86 config file, and also your
/var/log/messages file from after a crash.  Please also provide
the output of:  uname -a

Thanks.
Comment 2 Mario Mikocevic 2002-01-25 04:31:16 EST
Created attachment 43454 [details]
XFree server config
Comment 3 Mario Mikocevic 2002-01-25 04:33:20 EST
# uname -a
Linux xxx.hinet.hr 2.4.18-pre6 #13 Sri Sij 23 10:51:59 CET 2002 i686 unknown

and in /var/log/messages I found what could be the culprit :

Jan 25 06:58:14 xxx gpm[740]: imps2: Auto-detected intellimouse PS/2

that was at _exact_ time when X crashed.
Comment 4 Mike A. Harris 2002-01-25 04:43:28 EST
Sounds like a conflict between gpm and XFree86.  Does the problem
go away if you disable gpm?
Comment 5 Mario Mikocevic 2002-01-25 05:09:27 EST
He he, dunno, have to leave it over night ! :)
I'll report tomorow, but I just noticed that my mirror script
completed rawhide mirror so I'll try with -2.3 rpms.
Comment 6 Mario Mikocevic 2002-01-28 11:59:12 EST
Ok, it survived over weekend so it must be something with gpm.
I disabled gpm init and it works fine now.

Note You need to log in before you can comment on or make changes to this bug.